import 'package:flutter/material.dart';

import '../widgets/main_screen/counts_by_day_card.dart';
import '../widgets/main_screen/counts_by_hour_card.dart';
import '../widgets/main_screen/statistics_card.dart';
import '../widgets/main_screen/timeline_card.dart';

class MainScreen extends StatelessWidget {
  const MainScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Material(
      color: Theme.of(context).colorScheme.background,
      child: ListView(
        padding: const EdgeInsets.symmetric(horizontal: 16),
        physics: const BouncingScrollPhysics(),
        children: <Widget>[
          const SizedBox(height: 90),
          const StatisticsCard(),
          const SizedBox(height: 8),
          const ChartTimelineCard(),
          const SizedBox(height: 8),
          const ChartCountsByDayCard(),
          const SizedBox(height: 8),
          const ChartCountsByHourCard(),
          const SizedBox(height: 36),
        ],
      ),
    );
  }
}
